Update Storage Settings
curl --request PUT \
--url https://config.heyhumm.ai/api/organization/{organization_id}/storage-setting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_storage_credential_mode": "static_keys",
"customer_s3_bucket": "<string>",
"customer_s3_region": "<string>",
"customer_aws_access_key_id": "<string>",
"customer_aws_secret_access_key": "<string>",
"customer_iam_role_arn": "<string>"
}
'import requests
url = "https://config.heyhumm.ai/api/organization/{organization_id}/storage-setting"
payload = {
"customer_storage_credential_mode": "static_keys",
"customer_s3_bucket": "<string>",
"customer_s3_region": "<string>",
"customer_aws_access_key_id": "<string>",
"customer_aws_secret_access_key": "<string>",
"customer_iam_role_arn": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_storage_credential_mode: 'static_keys',
customer_s3_bucket: '<string>',
customer_s3_region: '<string>',
customer_aws_access_key_id: '<string>',
customer_aws_secret_access_key: '<string>',
customer_iam_role_arn: '<string>'
})
};
fetch('https://config.heyhumm.ai/api/organization/{organization_id}/storage-setting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"customer_s3_bucket": "<string>",
"customer_s3_region": "<string>",
"customer_aws_access_key_id": "<string>",
"has_customer_aws_secret_access_key": false,
"customer_iam_role_arn": "<string>",
"customer_iam_role_external_id": "<string>",
"customer_iam_role_pending_external_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Update Storage Settings
PUT
/
api
/
organization
/
{organization_id}
/
storage-setting
Update Storage Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Model for updating organization data storage configuration.
Where synced integration data is stored.
Available options:
humm_hosted, customer_hosted How Humm authenticates to customer-hosted storage.
Available options:
static_keys, iam_role Response
Successful Response
Response model for organization data storage configuration.
Where synced integration data is stored.
Available options:
humm_hosted, customer_hosted How Humm authenticates to customer-hosted storage.
Available options:
static_keys, iam_role ⌘I